| Home | Libraries | People | FAQ | More

## Function template power

boost::algorithm::power

## Synopsis

    // In header: <boost/algorithm/algorithm.hpp>

    template<typename T, typename Integer>
      boost::enable_if< boost::is_integral< Integer >, T >::type
      power(T x, Integer n);

## Description

Parameters:

`n` | The exponent (must be >= 0)
`x` | The value to be exponentiated

Returns: | the value "x" raised to the power "n"